﻿@model Jumbula.Core.Model.Order.OrderInformationViewModel

<div>
    <div class="clearfix margin-bottom20">
        <div class="orderitem-profile place-left one-half">
            <div>
                <div class="avatar-box">
                    <i ng-class="{'jbi-user-male':Model.OrderInfo.Gender == 'Male', 'jbi-user-female': Model.OrderInfo.Gender == 'Female','jbi-user-male':Model.OrderInfo.Gender =='Male'}"></i>
                </div>
                <div class="info-box">
                    <h2 class="name ellipsis" ng-if="Model.OrderInfo.HasProgramScheduleId==true"><span ng-bind="Model.OrderInfo.FullName" style="font-size: 20px;" class="text-bold">Participant Name</span></h2>
                    <h2 class="name ellipsis" ng-if="Model.OrderInfo.HasProgramScheduleId==false"><span ng-bind="Model.OrderInfo.Name" style="font-size: 20px;" class="text-bold">Participant Name</span></h2>
                    <p class="desc">{{Model.OrderInfo.Gender}} <span ng-if="Model.OrderInfo.Age != 0">| {{Model.OrderInfo.Age}} </span> <span ng-if="Model.OrderInfo.Grade">| Grade {{Model.OrderInfo.Grade}}</span></p>
                </div>
            </div>
        </div>
        <div ng-if="!Model.OrderInfo.HasAmountDifference" class="orderitem-overview text-center place-left one-half">
            <div class="place-left one-third">
                <b>Total</b>
                <i ng-bind="(Model.OrderInfo.TotalAmount).formatCurrencyWithPenny(2)"></i>
            </div>
            <div class="place-left one-third">
                <b>Paid</b>
                <i class="balance" ng-bind="(Model.OrderInfo.PaidAmount).formatCurrencyWithPenny(2)"></i>
            </div>
            <div class="place-left one-third" ng-class="{ 'fg-green' : Model.OrderInfo.Balance < 0 , 'fg-red' : Model.OrderInfo.Balance > 0}">
                <b>Balance</b>
                <i ng-bind="(Model.OrderInfo.Balance).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div ng-if="Model.OrderInfo.HasAmountDifference" class="orderitem-overview text-center place-left one-fourth" style="float: left !important;margin-left: 253px;">
            <div class="place-left one-fifth" style="width: 100% !important;" ng-class="{ 'fg-green' : Model.OrderInfo.AmountDifference < 0 , 'fg-red' : Model.OrderInfo.AmountDifference > 0}">
                <b>Price difference</b>
                <i ng-bind="(Model.OrderInfo.AmountDifference).formatCurrencyWithPenny(2)"></i>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
    <div class="clearfix"></div>
    <div style="margin-bottom:5px">
        <span style="padding-left: 21px; color: white;font-size: 15px; height: 20px;width: 137px;" class="grid-label label bg-red" ng-if="Model.OrderInfo.ItemStatusReson == 'transferOut'">Transferred-out</span>
        <span style="font-size: 15px; padding-left: 24px; height: 20px;width: 137px;" class="grid-label label info" ng-if="Model.OrderInfo.ItemStatusReson == 'transferIn'">Transferred-in</span>
        <span style="padding-left: 26px; font-size: 15px; height: 20px;width: 120px;" class="grid-label label warning" ng-if="Model.OrderInfo.ItemStatusReson == 'canceled'">Canceled</span>
    </div>
    <br />
    <div class="clearfix"></div>
    <div class="row">
        <div class="span12">
            <span class="text-bold" style="font-size:14px">
                Confirmation:
            </span>
            <span style="font-size: 14px;background-color: yellow;" class="span4">{{Model.OrderInfo.ConfirmationId}}</span> 
        </div>
        <div class="margin-top10" ng-if="(Model.OrderInfo.ProgramType == 'Subscription' || Model.OrderInfo.ProgramType == 'BeforeAfterCare') && Model.OrderInfo.Mode !='PunchCard' && !Model.OrderInfo.IsDropIn">
            <div class="span12">
                <p style="font-size:14px">
                    <span class="text-bold">
                        Desired start date:
                    </span>
                    {{Model.OrderInfo.DesiredStartDate}}
                </p>

            </div>

            <div class="span12" ng-if="Model.OrderInfo.EffectiveTransferredDate !=null">
                <p style="font-size:14px">
                    <span class="text-bold">
                        Effective transferred date:
                    </span>
                    {{Model.OrderInfo.EffectiveTransferredDate}}
                </p>
            </div>
            <div class="span12" ng-if="Model.OrderInfo.EffectiveCanceledDate !=null">
                <p style="font-size:14px">
                    <span class="text-bold">
                        Effective cancellation date:
                    </span>
                    {{Model.OrderInfo.EffectiveCanceledDate}}
                </p>
            </div>
            <div class="span12">
                <p style="font-size:14px">
                    <span class="text-bold">
                        Class days:
                    </span>
                    {{Model.OrderInfo.DaysName}}
                </p>

            </div>
        </div>
    </div>

    <div class="clearfix"></div>
</div>